GNU bug report logs - #46687
28.0.50; Emacs freezes when disabling toolbar

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: PEDRO ANDRES ARANDA GUTIERREZ <paranda@HIDDEN>; Done: Alan Third <alan@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 46687-done <at> debbugs.gnu.org:


Received: (at 46687-done) by debbugs.gnu.org; 26 Feb 2021 09:44:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 26 04:44:25 2021
Received: from localhost ([127.0.0.1]:40325 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lFZfd-0003ky-Fc
	for submit <at> debbugs.gnu.org; Fri, 26 Feb 2021 04:44:25 -0500
Received: from mail-lj1-f181.google.com ([209.85.208.181]:34704)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <paranda@HIDDEN>) id 1lFZfa-0003kj-CY
 for 46687-done <at> debbugs.gnu.org; Fri, 26 Feb 2021 04:44:24 -0500
Received: by mail-lj1-f181.google.com with SMTP id r23so9915695ljh.1
 for <46687-done <at> debbugs.gnu.org>; Fri, 26 Feb 2021 01:44:22 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=it.uc3m.es; s=google;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to;
 bh=Q4XkawkX0jafJzAdVFHfBZqiF7GSWYKAvfKvDPoz1iE=;
 b=h28e7pb2fpWXdamr/vKrtUYfNSIqzvWwaC7xymL68mFszIHIt6yvvxO/bVLMaiRrEd
 WdR24KKt1VO1/it9SMjCqScoLYjkzkMlqLL+XbaZmvZOievgGCnYovjNvVeOLvzlAqv7
 T1s0vbUnoyMpzQfmPiBnbz95QW86XXgquB9lPsiSS9JDC6IGB8wm9H0p6l+G7C9U41QZ
 QKEI018Y+wfbm1vFPiTrnKzDbiqqg/dLzbAt18vdndNjHjogE2/LoYY6C6/2DDqqFtNh
 8RkGcvZKW8idHVG+jYM2uWkYvza+YkBhDhHFNxQFHUHaTVBIf2eC6CBY08JCVkjd6S7C
 xJnA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to;
 bh=Q4XkawkX0jafJzAdVFHfBZqiF7GSWYKAvfKvDPoz1iE=;
 b=RgQXxxrfmBK0/YC9QCmXiEX115b/1W3cRXdWEBZW3l4EXoApuhuQHHnakYPxPwZHKU
 Akk2FZLCs4oDKSKYG47qQf2KLEq/65uUkAxtkDV9kYpo3by58GAgqJF7v0pVNjNK2n8V
 nbcOOMbJhIZR+yj6JQt1gNku7zmVQglDvQD22oE+JDOLzLoyjqff1pk/Ea0blxX09g7J
 6BGnVn4QFDW05eHCxf1pdN4KWMHY9zhIIFk3qH+HKN937IbVtxj1jjUgIBjwBYXRBQCC
 slu/r2fpvLixI4YmCnXAqJIa8oF7MzqphcOCQpOTbCWxjW20wFpSvcBX7A91d+xvyuhw
 4viA==
X-Gm-Message-State: AOAM5319lUQvqx7Vh4hVNmBbPuuZp1zM8QGQeMrQD5ufvUgUY7o1XzmX
 Jm7c+C5u8N8jQQMePC2tM6e4eAH2N1LfXYc60IKgNg==
X-Google-Smtp-Source: ABdhPJxiOb5G320dD6XUjXgBodgluKNOKS1mBy9oslF33JT/KefHsI4guibGfcR1e6oHza/YflznQgxW23aFizQYAzk=
X-Received: by 2002:a05:651c:1135:: with SMTP id
 e21mr1205884ljo.151.1614332656209; 
 Fri, 26 Feb 2021 01:44:16 -0800 (PST)
MIME-Version: 1.0
References: <CAPoMwp2ibvDkvuCYNaE1TxZQ-korTudAqMsTs-=BGvfXf2AqRg@HIDDEN>
 <3059BAFC-9DBA-48B2-8885-90FEF94020F5@HIDDEN>
 <YDVKIPCynQ67AArW@HIDDEN>
 <24BBAC4C-FE32-4CC3-8710-9911654AA3D5@HIDDEN>
 <YDYitjj34ERzx781@HIDDEN>
 <0D6D8F4F-F7F4-4A00-AF9F-E60D4A636D70@HIDDEN>
 <YDZPMTlNxZvsUuyZ@HIDDEN>
 <CAPoMwp1E9B0fL6LNVSLOfAJzuREOJjxiSuz9MOELyJwtinvRVw@HIDDEN>
 <YDdpHG7y/GkL1E+E@HIDDEN>
 <DB44132D-8501-43D7-BF66-41673B0C573E@HIDDEN>
 <YDflNZ4QnEVtGmmE@HIDDEN>
In-Reply-To: <YDflNZ4QnEVtGmmE@HIDDEN>
From: PEDRO ANDRES ARANDA GUTIERREZ <paranda@HIDDEN>
Date: Fri, 26 Feb 2021 10:44:04 +0100
Message-ID: <CAPoMwp1daiAyM01oPMB0sD6gbrY+Z8-jEesHp_oqQDp+jYdqcA@HIDDEN>
Subject: Re: bug#46687: 28.0.50; Emacs freezes when disabling toolbar
To: Alan Third <alan@HIDDEN>,
 PEDRO ANDRES ARANDA GUTIERREZ <paranda@HIDDEN>, 46687-done <at> debbugs.gnu.org
Content-Type: multipart/alternative; boundary="00000000000085e91e05bc3a1c25"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 46687-done
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--00000000000085e91e05bc3a1c25
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Great, thanks!

El jue, 25 feb 2021 a las 18:58, Alan Third (<alan@HIDDEN>) escribi=C3=
=B3:

> On Thu, Feb 25, 2021 at 01:10:48PM +0100, PEDRO ANDRES ARANDA GUTIERREZ
> wrote:
> > Hi Alan,
> >
> > Checked on 10.15 too and it works perfectly. I=E2=80=99m able to enable=
 and
> > disable toolbar mode from init.el en from M-x and Emacs doesn=E2=80=99t=
 hang
> > anymore.
>
> Excellent, thanks.
>
> I'll push the change up now.
> --
> Alan Third
>


--=20
---
PEDRO ANDRES ARANDA GUTIERREZ
Universidad Carlos III de Madrid

"Fragen sind nicht da um beantwortet zu werden.
Fragen sind da, um gestellt zu werden" Georg Kreisler

--00000000000085e91e05bc3a1c25
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">Great, thanks!=C2=A0<br></div><br><div class=3D"gmail_quot=
e"><div dir=3D"ltr" class=3D"gmail_attr">El jue, 25 feb 2021 a las 18:58, A=
lan Third (&lt;<a href=3D"mailto:alan@HIDDEN" target=3D"_blank">alan@id=
iocy.org</a>&gt;) escribi=C3=B3:<br></div><blockquote class=3D"gmail_quote"=
 style=3D"margin:0px 0px 0px 0.8ex;border-left:1px solid rgb(204,204,204);p=
adding-left:1ex">On Thu, Feb 25, 2021 at 01:10:48PM +0100, PEDRO ANDRES ARA=
NDA GUTIERREZ wrote:<br>
&gt; Hi Alan,<br>
&gt; <br>
&gt; Checked on 10.15 too and it works perfectly. I=E2=80=99m able to enabl=
e and<br>
&gt; disable toolbar mode from init.el en from M-x and Emacs doesn=E2=80=99=
t hang<br>
&gt; anymore.<br>
<br>
Excellent, thanks.<br>
<br>
I&#39;ll push the change up now.<br>
-- <br>
Alan Third<br>
</blockquote></div><br clear=3D"all"><div><br></div>-- <br><div dir=3D"ltr"=
><div dir=3D"ltr"><div>---</div><div>PEDRO ANDRES ARANDA GUTIERREZ<br>Unive=
rsidad Carlos III de Madrid</div><div><br></div><div>&quot;Fragen sind nich=
t da um beantwortet zu werden.</div><div>Fragen sind da, um gestellt zu wer=
den&quot; Georg Kreisler</div></div></div>

--00000000000085e91e05bc3a1c25--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46687; Package emacs. Full text available.

Message received at 46687-done <at> debbugs.gnu.org:


Received: (at 46687-done) by debbugs.gnu.org; 25 Feb 2021 17:58:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 25 12:58:26 2021
Received: from localhost ([127.0.0.1]:39190 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lFKuA-0006Sx-Ci
	for submit <at> debbugs.gnu.org; Thu, 25 Feb 2021 12:58:26 -0500
Received: from outbound.soverin.net ([116.202.65.218]:33665)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <alan@HIDDEN>) id 1lFKu7-0006Sj-Q1
 for 46687-done <at> debbugs.gnu.org; Thu, 25 Feb 2021 12:58:24 -0500
Received: from smtp.soverin.net (unknown [10.10.3.24])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits))
 (No client certificate requested)
 by outbound.soverin.net (Postfix) with ESMTPS id 6B39160142;
 Thu, 25 Feb 2021 17:58:17 +0000 (UTC)
Received: from smtp.soverin.net (smtp.soverin.net [159.69.232.138]) by
 soverin.net
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=idiocy.org; s=soverin;
 t=1614275896; bh=XiO/lwP+BKHVLqAlelVwaClne8OsTcL+lVG7wLYNcfg=;
 h=Date:From:To:Cc:Subject:References:In-Reply-To:From;
 b=g1TOi6TZnaTbe7i3ocayg6p22Qi+44LMY3UCXBaQAF1Bf0LOcfqsBz7d+CGzfpi8S
 Qc4R0+z2Dxkd94ERftUMlTzNCunUI/RyghpyIDvUY8S9WI9fn3fbu4t9OYbWy5Dh3+
 3AdJVaTj6+RQ2fIicpA/kt8iT3T6b0cCHXUuIYQW9GcT4inn3R+duBYSycyLyhyANt
 XpD13dYtt5Z/dTJASqf+yb0eWUmuNSQrwjLrpldFEBZWnZK0M4nT7EpSmCGcnmfu1b
 6dvCoF1Fnbm9CP2h/fvLocsIZuxpERVhMhiK4ijPDFT8u4Rk0jhH/X+3vwTXHwkOfJ
 Ttr5OfCOmFSLw==
Received: by breton.holly.idiocy.org (Postfix, from userid 501)
 id BE4CB202AAE993; Thu, 25 Feb 2021 17:58:13 +0000 (GMT)
Date: Thu, 25 Feb 2021 17:58:13 +0000
From: Alan Third <alan@HIDDEN>
To: PEDRO ANDRES ARANDA GUTIERREZ <paranda@HIDDEN>
Subject: Re: bug#46687: 28.0.50; Emacs freezes when disabling toolbar
Message-ID: <YDflNZ4QnEVtGmmE@HIDDEN>
Mail-Followup-To: Alan Third <alan@HIDDEN>,
 PEDRO ANDRES ARANDA GUTIERREZ <paranda@HIDDEN>,
 46687-done <at> debbugs.gnu.org
References: <CAPoMwp2ibvDkvuCYNaE1TxZQ-korTudAqMsTs-=BGvfXf2AqRg@HIDDEN>
 <3059BAFC-9DBA-48B2-8885-90FEF94020F5@HIDDEN>
 <YDVKIPCynQ67AArW@HIDDEN>
 <24BBAC4C-FE32-4CC3-8710-9911654AA3D5@HIDDEN>
 <YDYitjj34ERzx781@HIDDEN>
 <0D6D8F4F-F7F4-4A00-AF9F-E60D4A636D70@HIDDEN>
 <YDZPMTlNxZvsUuyZ@HIDDEN>
 <CAPoMwp1E9B0fL6LNVSLOfAJzuREOJjxiSuz9MOELyJwtinvRVw@HIDDEN>
 <YDdpHG7y/GkL1E+E@HIDDEN>
 <DB44132D-8501-43D7-BF66-41673B0C573E@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <DB44132D-8501-43D7-BF66-41673B0C573E@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 46687-done
Cc: 46687-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Thu, Feb 25, 2021 at 01:10:48PM +0100, PEDRO ANDRES ARANDA GUTIERREZ wrote:
> Hi Alan,
> 
> Checked on 10.15 too and it works perfectly. I’m able to enable and
> disable toolbar mode from init.el en from M-x and Emacs doesn’t hang
> anymore.

Excellent, thanks.

I'll push the change up now.
-- 
Alan Third




Notification sent to PEDRO ANDRES ARANDA GUTIERREZ <paranda@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Alan Third <alan@HIDDEN>:
You have taken responsibility. Full text available.

Message received at 46687 <at> debbugs.gnu.org:


Received: (at 46687) by debbugs.gnu.org; 23 Feb 2021 18:32:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 23 13:32:12 2021
Received: from localhost ([127.0.0.1]:60499 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lEcTk-0002pG-0s
	for submit <at> debbugs.gnu.org; Tue, 23 Feb 2021 13:32:12 -0500
Received: from outbound.soverin.net ([116.202.65.218]:36543)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <alan@HIDDEN>) id 1lEcTi-0002p2-5N
 for 46687 <at> debbugs.gnu.org; Tue, 23 Feb 2021 13:32:11 -0500
Received: from smtp.soverin.net (unknown [10.10.3.28])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits))
 (No client certificate requested)
 by outbound.soverin.net (Postfix) with ESMTPS id D504260157;
 Tue, 23 Feb 2021 18:32:03 +0000 (UTC)
Received: from smtp.soverin.net (smtp.soverin.net [159.69.232.142]) by
 soverin.net
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=idiocy.org; s=soverin;
 t=1614105123; bh=p4WmfVeqINOpA/iUiJSyTntDlFbnFXlO+984S6HcI6E=;
 h=Date:From:To:Cc:Subject:References:In-Reply-To:From;
 b=SCvCatNgrx3aTtMUy9PZDPxgFeSZMXb3Ht3TQnyUaPR2XkZaaTgbqCQ0QuLVBVbVj
 pLloMiRju3l6a5GjoaDfYjsWUb08QbxLFC078ai8kR56gxZo8AbdiXqVZhnAB/qKmt
 39gAItETc3qzou6WCczP555w3KLWo2jnbxfy+UAuM7f852zgeEjEwtwIs63Kv/GrDw
 tGC8kMKZU2790df/AvAB2EeTtu6pQKhjkEoDO0QgSSOULmbqgOYRbnw0A5K0GOR+NU
 RTEq5v/AmAdpz8HmnrvLkAsNctWs7sZvdIXNHCk7NxihyPLxhK4DXvgK0YCNAUfSGU
 QJ56KkPRwQUvg==
Received: by breton.holly.idiocy.org (Postfix, from userid 501)
 id E49CC202AA662C; Tue, 23 Feb 2021 18:32:00 +0000 (GMT)
Date: Tue, 23 Feb 2021 18:32:00 +0000
From: Alan Third <alan@HIDDEN>
To: PEDRO ANDRES ARANDA GUTIERREZ <paranda@HIDDEN>
Subject: Re: bug#46687: 28.0.50; Emacs freezes when disabling toolbar
Message-ID: <YDVKIPCynQ67AArW@HIDDEN>
Mail-Followup-To: Alan Third <alan@HIDDEN>,
 PEDRO ANDRES ARANDA GUTIERREZ <paranda@HIDDEN>,
 46687 <at> debbugs.gnu.org
References: <AECFFDD3-F38D-45B9-9E94-FD6B56EF3203@HIDDEN>
 <YDOMuG2IHuiJ34vz@HIDDEN>
 <7B2D8739-1C6C-40BF-A568-A60728C38489@HIDDEN>
 <YDOWehngi7RLjFEz@HIDDEN>
 <CAPoMwp2ibvDkvuCYNaE1TxZQ-korTudAqMsTs-=BGvfXf2AqRg@HIDDEN>
 <3059BAFC-9DBA-48B2-8885-90FEF94020F5@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <3059BAFC-9DBA-48B2-8885-90FEF94020F5@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 46687
Cc: 46687 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Mon, Feb 22, 2021 at 12:45:13PM +0100, PEDRO ANDRES ARANDA GUTIERREZ wrote:
> PS: interestingly, it happens both on My MacBook Pro (10.13) and my
> Macbook Air (10.15)…

Do you compile it on each machine, or copy it from one to the other?

I've had an idea but if you compile it locally then my idea is wrong.

-- 
Alan Third




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46687; Package emacs. Full text available.

Message received at 46687 <at> debbugs.gnu.org:


Received: (at 46687) by debbugs.gnu.org; 23 Feb 2021 07:59:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 23 02:59:45 2021
Received: from localhost ([127.0.0.1]:58207 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lESbf-0001X4-D7
	for submit <at> debbugs.gnu.org; Tue, 23 Feb 2021 02:59:45 -0500
Received: from mail-lj1-f181.google.com ([209.85.208.181]:34450)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <paranda@HIDDEN>) id 1lESbc-0001Wn-8R
 for 46687 <at> debbugs.gnu.org; Tue, 23 Feb 2021 02:59:42 -0500
Received: by mail-lj1-f181.google.com with SMTP id r23so62061702ljh.1
 for <46687 <at> debbugs.gnu.org>; Mon, 22 Feb 2021 23:59:40 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=it.uc3m.es; s=google;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to;
 bh=edn9V59C5btkKx5pHwZ9JlSvqptKL7prDS2Ire7bpac=;
 b=T6rkZk8QUaIyocnXx66ZxpYeEbHdKQFkcNYCA97/waoMDe2QOTb1YHs29MiALzdBHG
 v7Qn9rLvCBn8E45Q4QXyhlElsyEBGVneaEmQtL0pef0pqxzvVz8S99CD2PXxcEKRlAAY
 ii3/qDt+elVpN2pvW4XEUmZ4znqbOcYRpmdX2CP66XhlLF8J4d6LCoYa4i1XYSKjfw3f
 L84uUEFtQ0SV3LD+8Gyzaf5Z86eaVyYUidJYa7zYD0ZqMAUVcFlTnlvZJRoM37635NAY
 SPeRLjVVDt/y2m0+LFQ4suXmGMRHxC0LY0X/Qm4K8HRIh43Y2EEtNyqaVvHV70sVeThr
 A9JA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to;
 bh=edn9V59C5btkKx5pHwZ9JlSvqptKL7prDS2Ire7bpac=;
 b=Iq+VglcXtiUEvViJMMXYk6Vmi9cXRJjMDkTOyJzlZharmuoqC4I7OYmgbj24V7+2rD
 wU5nyTzwrf6ViqjwKcRscixuBXnCJbOtk/Ga/jNTVSXe/l+bbM8+nhZAFZ0VVHhkCpYN
 YaMVkBLFwIgEHedLR0HhBvxH5Gx1CtxugRBPEgwWfG+fDv58Bza3VMo5b6rwMtX31Ob7
 4vxBvZfxl8pyA+P6n/J/XYyb64G9WNtNrcypbETkzUdSdt9B5ve007ZxtZ91XHVyhLMy
 Hjp72hWCYNOIICpYzsZOvmR2h93fa8atebPgyBuLbHHg0DRRfZDlfrNGnq9/+k7e5P3W
 w3Jw==
X-Gm-Message-State: AOAM531KQ9wUptNOjFfi3yLVbZr4WglgD7PqTyRYC/U5sYElxgvXg109
 YVv8WSzlkRovGalu1ZDD03SPBGARlAPQPe23GL4UJw==
X-Google-Smtp-Source: ABdhPJyXwZX3RD4BvjsmNmxM9pppo8v5886lXTriE8eW1REwiQbG0MntFFOUJxXCSNJsDHNrUD35t1z6uTfp5/Fin9c=
X-Received: by 2002:a2e:2a85:: with SMTP id
 q127mr15840425ljq.379.1614067173939; 
 Mon, 22 Feb 2021 23:59:33 -0800 (PST)
MIME-Version: 1.0
References: <AECFFDD3-F38D-45B9-9E94-FD6B56EF3203@HIDDEN>
 <YDOMuG2IHuiJ34vz@HIDDEN>
 <7B2D8739-1C6C-40BF-A568-A60728C38489@HIDDEN>
 <YDOWehngi7RLjFEz@HIDDEN>
 <CAPoMwp2ibvDkvuCYNaE1TxZQ-korTudAqMsTs-=BGvfXf2AqRg@HIDDEN>
 <3059BAFC-9DBA-48B2-8885-90FEF94020F5@HIDDEN>
 <YDP2yI8arhC37oyh@HIDDEN>
In-Reply-To: <YDP2yI8arhC37oyh@HIDDEN>
From: PEDRO ANDRES ARANDA GUTIERREZ <paranda@HIDDEN>
Date: Tue, 23 Feb 2021 08:59:22 +0100
Message-ID: <CAPoMwp16j9E7KegU=X_AOjmG9qHjs90du9=g27b7Tn9yL2mPFw@HIDDEN>
Subject: Re: bug#46687: 28.0.50; Emacs freezes when disabling toolbar
To: Alan Third <alan@HIDDEN>,
 PEDRO ANDRES ARANDA GUTIERREZ <paranda@HIDDEN>, 46687 <at> debbugs.gnu.org
Content-Type: multipart/alternative; boundary="0000000000008bf7d505bbfc4c78"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 46687
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--0000000000008bf7d505bbfc4c78
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Hi Alan,

answers inline

El lun, 22 feb 2021 a las 19:24, Alan Third (<alan@HIDDEN>) escribi=C3=
=B3:

> On Mon, Feb 22, 2021 at 12:45:13PM +0100, PEDRO ANDRES ARANDA GUTIERREZ
> wrote:
> > PS: interestingly, it happens both on My MacBook Pro (10.13) and my
> Macbook Air (10.15)=E2=80=A6 My configure is:
> >
> > ./autogen.sh
> > ./configure --without-x --with-ns --with-modules \
> >  --with-xpm --with-jpeg \
> >  --enable-silent-rules \
> >  PKG_CONFIG_PATH=3D/usr/local/lib/pkgconfig \
> >  LDFLAGS=3D"-L/usr/local/lib" CPPFLAGS=3D"-I/usr/local/include" \
> >  CC=3Dclang OBJC=3Dclang CFLAGS=3D"-g -O2=E2=80=9D
> >
> > From a clean git clone. I use macholib to create the standalone.
>
> Does it make any difference if you just do
>
>     ./configure
>
> without all the rest?


Tested that and the answer is no.


> (Do you use Homebrew?)
>

I use my fork of RUDIX (https://github.com/paaguti/rudix) mainly for GNUTLS
in the case of Emacs


> Can you please comment out the call to redisplay in nsterm.m at around
> line 8502 and try again? I expect this will completely fix it.
>

Did that and it fixes the freeze. However, when you start with
tool-bar-mode enabled, the window isn't drawn correctly. If you start with
(tool-bar-mode -1) and keep it like that, that seems to be a sort of
temporary fix.

--=20
> Alan Third
>

Let me know if you need more tests...
Thx, /PA

--=20
---
PEDRO ANDRES ARANDA GUTIERREZ
Universidad Carlos III de Madrid

"Fragen sind nicht da um beantwortet zu werden.
Fragen sind da, um gestellt zu werden" Georg Kreisler

--0000000000008bf7d505bbfc4c78
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div>Hi Alan,</div><div><br></div><div>answers inline</div=
><br><div class=3D"gmail_quote"><div dir=3D"ltr" class=3D"gmail_attr">El lu=
n, 22 feb 2021 a las 19:24, Alan Third (&lt;<a href=3D"mailto:alan@HIDDEN=
rg">alan@HIDDEN</a>&gt;) escribi=C3=B3:<br></div><blockquote class=3D"g=
mail_quote" style=3D"margin:0px 0px 0px 0.8ex;border-left:1px solid rgb(204=
,204,204);padding-left:1ex">On Mon, Feb 22, 2021 at 12:45:13PM +0100, PEDRO=
 ANDRES ARANDA GUTIERREZ wrote:<br>
&gt; PS: interestingly, it happens both on My MacBook Pro (10.13) and my Ma=
cbook Air (10.15)=E2=80=A6 My configure is:<br>
&gt; <br>
&gt; ./autogen.sh<br>
&gt; ./configure --without-x --with-ns --with-modules \<br>
&gt;=C2=A0 --with-xpm --with-jpeg \<br>
&gt;=C2=A0 --enable-silent-rules \<br>
&gt;=C2=A0 PKG_CONFIG_PATH=3D/usr/local/lib/pkgconfig \<br>
&gt;=C2=A0 LDFLAGS=3D&quot;-L/usr/local/lib&quot; CPPFLAGS=3D&quot;-I/usr/l=
ocal/include&quot; \<br>
&gt;=C2=A0 CC=3Dclang OBJC=3Dclang CFLAGS=3D&quot;-g -O2=E2=80=9D<br>
&gt; <br>
&gt; From a clean git clone. I use macholib to create the standalone.<br>
<br>
Does it make any difference if you just do<br>
<br>
=C2=A0 =C2=A0 ./configure<br>
<br>
without all the rest? </blockquote><div><br></div><div>Tested that and the =
answer is no.</div><div>=C2=A0</div><blockquote class=3D"gmail_quote" style=
=3D"margin:0px 0px 0px 0.8ex;border-left:1px solid rgb(204,204,204);padding=
-left:1ex">(Do you use Homebrew?)<br></blockquote><div><br></div><div>I use=
 my fork of RUDIX (<a href=3D"https://github.com/paaguti/rudix">https://git=
hub.com/paaguti/rudix</a>) mainly for GNUTLS in the case of Emacs=C2=A0</di=
v><div>=C2=A0</div><blockquote class=3D"gmail_quote" style=3D"margin:0px 0p=
x 0px 0.8ex;border-left:1px solid rgb(204,204,204);padding-left:1ex">
Can you please comment out the call to redisplay in nsterm.m at around<br>
line 8502 and try again? I expect this will completely fix it.<br></blockqu=
ote><div><br></div><div>Did that and it fixes the freeze. However, when you=
 start with tool-bar-mode enabled, the window isn&#39;t drawn correctly. If=
 you start with (tool-bar-mode -1) and keep it like that, that seems to be =
a sort of temporary fix.=C2=A0</div><div><br></div><blockquote class=3D"gma=
il_quote" style=3D"margin:0px 0px 0px 0.8ex;border-left:1px solid rgb(204,2=
04,204);padding-left:1ex">
-- <br>
Alan Third<br>
</blockquote></div><div><br></div><div>Let me know if you need more tests..=
.</div><div></div>Thx, /PA<br clear=3D"all"><div><br></div>-- <br><div dir=
=3D"ltr" class=3D"gmail_signature"><div dir=3D"ltr"><div>---</div><div>PEDR=
O ANDRES ARANDA GUTIERREZ<br>Universidad Carlos III de Madrid</div><div><br=
></div><div>&quot;Fragen sind nicht da um beantwortet zu werden.</div><div>=
Fragen sind da, um gestellt zu werden&quot; Georg Kreisler</div></div></div=
></div>

--0000000000008bf7d505bbfc4c78--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46687; Package emacs. Full text available.

Message received at 46687 <at> debbugs.gnu.org:


Received: (at 46687) by debbugs.gnu.org; 22 Feb 2021 18:24:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 22 13:24:28 2021
Received: from localhost ([127.0.0.1]:57491 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lEFsg-0004k0-5X
	for submit <at> debbugs.gnu.org; Mon, 22 Feb 2021 13:24:28 -0500
Received: from outbound.soverin.net ([116.202.65.218]:36881)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <alan@HIDDEN>) id 1lEFsd-0004jl-FX
 for 46687 <at> debbugs.gnu.org; Mon, 22 Feb 2021 13:24:25 -0500
Received: from smtp.soverin.net (unknown [10.10.3.24])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits))
 (No client certificate requested)
 by outbound.soverin.net (Postfix) with ESMTPS id 0E8F560236;
 Mon, 22 Feb 2021 18:24:17 +0000 (UTC)
Received: from smtp.soverin.net (smtp.soverin.net [159.69.232.138]) by
 soverin.net
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=idiocy.org; s=soverin;
 t=1614018256; bh=Ul1rj51/ggsDAmUoDTWB+ZpUQ0mDmntlY7GxzTaAeF8=;
 h=Date:From:To:Cc:Subject:References:In-Reply-To:From;
 b=bWzk82GdW0BzlcUUzK59HQsQ08aDj9PdndhAIjhjWe6qp9Kp1PtYiob0YtyfnaL98
 NlqEvlUNomX9xatl2Uvet3b5YidPRan5gZVIWP1jxhfoK+rP9lj1jtiZyioFfiYyyo
 LpW+LsJ09r/QGiILrvHtsRSW75pV9y3RL9cZVtDGdHNRIaFbW9H/ItHm74/ugVAB4j
 L61iTE6/KI9HZ2BwfioSlA8VGztNzqrv57i761/uhtEquiJOp/6yno6jY39KDoRol0
 hHgEih+x0/tycVHBvTIfFawa0YR/6KTtQvBEyKrKag2mM/bIXIfZ38Gwj9C5ZRFG9i
 4MzigePTz05HQ==
Received: by breton.holly.idiocy.org (Postfix, from userid 501)
 id 5571E202AA4776; Mon, 22 Feb 2021 18:24:08 +0000 (GMT)
Date: Mon, 22 Feb 2021 18:24:08 +0000
From: Alan Third <alan@HIDDEN>
To: PEDRO ANDRES ARANDA GUTIERREZ <paranda@HIDDEN>
Subject: Re: bug#46687: 28.0.50; Emacs freezes when disabling toolbar
Message-ID: <YDP2yI8arhC37oyh@HIDDEN>
Mail-Followup-To: Alan Third <alan@HIDDEN>,
 PEDRO ANDRES ARANDA GUTIERREZ <paranda@HIDDEN>,
 46687 <at> debbugs.gnu.org
References: <AECFFDD3-F38D-45B9-9E94-FD6B56EF3203@HIDDEN>
 <YDOMuG2IHuiJ34vz@HIDDEN>
 <7B2D8739-1C6C-40BF-A568-A60728C38489@HIDDEN>
 <YDOWehngi7RLjFEz@HIDDEN>
 <CAPoMwp2ibvDkvuCYNaE1TxZQ-korTudAqMsTs-=BGvfXf2AqRg@HIDDEN>
 <3059BAFC-9DBA-48B2-8885-90FEF94020F5@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <3059BAFC-9DBA-48B2-8885-90FEF94020F5@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 46687
Cc: 46687 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Mon, Feb 22, 2021 at 12:45:13PM +0100, PEDRO ANDRES ARANDA GUTIERREZ wrote:
> PS: interestingly, it happens both on My MacBook Pro (10.13) and my Macbook Air (10.15)… My configure is:
> 
> ./autogen.sh
> ./configure --without-x --with-ns --with-modules \
>  --with-xpm --with-jpeg \
>  --enable-silent-rules \
>  PKG_CONFIG_PATH=/usr/local/lib/pkgconfig \
>  LDFLAGS="-L/usr/local/lib" CPPFLAGS="-I/usr/local/include" \
>  CC=clang OBJC=clang CFLAGS="-g -O2”
> 
> From a clean git clone. I use macholib to create the standalone.

Does it make any difference if you just do

    ./configure

without all the rest? (Do you use Homebrew?)

Can you please comment out the call to redisplay in nsterm.m at around
line 8502 and try again? I expect this will completely fix it.
-- 
Alan Third




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46687; Package emacs. Full text available.

Message received at 46687 <at> debbugs.gnu.org:


Received: (at 46687) by debbugs.gnu.org; 22 Feb 2021 12:04:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 22 07:04:06 2021
Received: from localhost ([127.0.0.1]:55974 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lE9wa-0003LE-Bh
	for submit <at> debbugs.gnu.org; Mon, 22 Feb 2021 07:04:06 -0500
Received: from mail-wm1-f42.google.com ([209.85.128.42]:39159)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <paranda@HIDDEN>) id 1lE9eS-0002qh-E6
 for 46687 <at> debbugs.gnu.org; Mon, 22 Feb 2021 06:45:22 -0500
Received: by mail-wm1-f42.google.com with SMTP id v62so14011067wmg.4
 for <46687 <at> debbugs.gnu.org>; Mon, 22 Feb 2021 03:45:20 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=it.uc3m.es; s=google;
 h=from:mime-version:subject:date:references:to:in-reply-to:message-id;
 bh=xdZYGx0sItMVhajzATqrjzspDzL3q7TYsemGi+O8XbY=;
 b=CgNYXa+aQbo2MSWHTl344yrsOz7W9NPMLMsYqPVWbOYiAQIyPfVNoqRkyOV6GfUsmF
 zSDinNhx6ocl6j5jVwEIb5+b5Q4YaBzUoIkY2l6NS3eJiK+rI4zlfv6lWvaxCSX1+qEj
 xdTOJQW+dDWmfPhyAbQkQFhm1i9AzwE8MK+QsLAh39h1etGf63+e+ry2D0CAmiFSM6PA
 7XLr/KzfZvItlvdT41Xvmlg9yV0m32yqcf17AY5RwiFwMfvpwhEbpy0Op0fqkUg/OCul
 uKBp0BOmrdTtEdaX2m+MZ+xVBmVtsy34QP2tXkBpHiRv6pG5Nk8fpjtwRaAqK7H53zwx
 N2rA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:mime-version:subject:date:references:to
 :in-reply-to:message-id;
 bh=xdZYGx0sItMVhajzATqrjzspDzL3q7TYsemGi+O8XbY=;
 b=owfznF6BBolJX23B9/R/JAWGIH4S+WvDhyKXwPtdH4K93mxsRzck4CzlXcOyYidaYL
 togYX814mMOkZaMDioHjr/dJfdFQhkRnCBfke63gfIl5Uu2EhRrQdYp+/LfOzRfpwEz4
 jrVoKWHt45E7A73l7T9YNAhRCKOtGre0lKBPKMdigJy51vX+5dDjwe166V7MJ46vGUZA
 bYgy4vwfukqRSfrX1IqBnB/T9Ic5l2C8hzq/cEtUHtLxcclotS5qViJlEDM05Nn6X1RR
 Z+siBNrV/NNtxqBfJ8Nz04X54dMAG0vqtMG/iGQi+SxHsJITRZKDXrB8eqG+Y2u5n2Jf
 WtFQ==
X-Gm-Message-State: AOAM530g9rSIOSETD2Xbq1AIKkI4c2FokQkWcJSL5Klayi1kaVN02nUy
 pVKaJOi6eVfxuNoQll602UzWTA==
X-Google-Smtp-Source: ABdhPJxbqT9+oATj/Cu9v6+/rVd/nhGMGIY0PtaE0+e4I4nP2bULILXtSarqDNr61Uyy3Tx4zg/WKA==
X-Received: by 2002:a1c:7c14:: with SMTP id x20mr13155979wmc.17.1613994314501; 
 Mon, 22 Feb 2021 03:45:14 -0800 (PST)
Received: from [192.168.1.36] (4.red-81-40-17.staticip.rima-tde.net.
 [81.40.17.4])
 by smtp.gmail.com with ESMTPSA id o129sm26257581wme.21.2021.02.22.03.45.13
 (version=TLS1_2 cipher=ECDHE-ECDSA-AES128-GCM-SHA256 bits=128/128);
 Mon, 22 Feb 2021 03:45:14 -0800 (PST)
From: PEDRO ANDRES ARANDA GUTIERREZ <paranda@HIDDEN>
Content-Type: multipart/alternative;
 boundary="Apple-Mail=_63B63C79-8304-47F4-A8A7-A69779A867EC"
Mime-Version: 1.0 (Mac OS X Mail 11.5 \(3445.9.7\))
Subject: Re: bug#46687: 28.0.50; Emacs freezes when disabling toolbar
Date: Mon, 22 Feb 2021 12:45:13 +0100
References: <AECFFDD3-F38D-45B9-9E94-FD6B56EF3203@HIDDEN>
 <YDOMuG2IHuiJ34vz@HIDDEN>
 <7B2D8739-1C6C-40BF-A568-A60728C38489@HIDDEN>
 <YDOWehngi7RLjFEz@HIDDEN>
 <CAPoMwp2ibvDkvuCYNaE1TxZQ-korTudAqMsTs-=BGvfXf2AqRg@HIDDEN>
To: Alan Third <alan@HIDDEN>,
 PEDRO ANDRES ARANDA GUTIERREZ <paranda@HIDDEN>, 46687 <at> debbugs.gnu.org
In-Reply-To: <CAPoMwp2ibvDkvuCYNaE1TxZQ-korTudAqMsTs-=BGvfXf2AqRg@HIDDEN>
Message-Id: <3059BAFC-9DBA-48B2-8885-90FEF94020F5@HIDDEN>
X-Mailer: Apple Mail (2.3445.9.7)
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 46687
X-Mailman-Approved-At: Mon, 22 Feb 2021 07:03:59 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--Apple-Mail=_63B63C79-8304-47F4-A8A7-A69779A867EC
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain;
	charset=utf-8

PS: interestingly, it happens both on My MacBook Pro (10.13) and my =
Macbook Air (10.15)=E2=80=A6 My configure is:

./autogen.sh
./configure --without-x --with-ns --with-modules \
 --with-xpm --with-jpeg \
 --enable-silent-rules \
 PKG_CONFIG_PATH=3D/usr/local/lib/pkgconfig \
 LDFLAGS=3D"-L/usr/local/lib" CPPFLAGS=3D"-I/usr/local/include" \
 CC=3Dclang OBJC=3Dclang CFLAGS=3D"-g -O2=E2=80=9D

=46rom a clean git clone. I use macholib to create the standalone.

Best, /PA


> El 22 feb 2021, a las 12:39, PEDRO ANDRES ARANDA GUTIERREZ =
<paranda@HIDDEN> escribi=C3=B3:
>=20
> Yes, it works! Both programmatically with
> (setq default-frame-alist '((width . 120) (height . 33)))
> and  "fooling around" with the mouse ;-)
>=20
> /PA
>=20
> El lun, 22 feb 2021 a las 12:33, Alan Third (<alan@HIDDEN =
<mailto:alan@HIDDEN>>) escribi=C3=B3:
> On Mon, Feb 22, 2021 at 12:19:14PM +0100, PEDRO ANDRES ARANDA =
GUTIERREZ wrote:
> > My stupid=E2=80=A6 I meant the toolbar and have been able to track =
it down
> > on trying to disabling it
> >=20
> > Attaching a compressed log from a forced exit after emacs -Q and
> > hide toolbar from menu
>=20
> It looks like it's in the call to redisplay in viewWillDraw.
>=20
> Does resizing work OK? Like, grabbing the corner of the window and
> waving it about for a few seconds?
> --=20
> Alan Third
>=20
>=20
> --=20
> ---
> PEDRO ANDRES ARANDA GUTIERREZ
> Universidad Carlos III de Madrid
>=20
> "Fragen sind nicht da um beantwortet zu werden.
> Fragen sind da, um gestellt zu werden" Georg Kreisler

=E2=80=94
PEDRO ANDRES ARANDA GUTIERREZ
paranda@HIDDEN
Universidad Carlos III Madrid

Fragen sind nicht da um beantwortet zu werden=E2=80=A6
Fragen sind da, um gestellt zu werden.
Georg Kreisler


--Apple-Mail=_63B63C79-8304-47F4-A8A7-A69779A867EC
Content-Transfer-Encoding: quoted-printable
Content-Type: text/html;
	charset=utf-8

<html><head><meta http-equiv=3D"Content-Type" content=3D"text/html; =
charset=3Dutf-8"></head><body style=3D"word-wrap: break-word; =
-webkit-nbsp-mode: space; line-break: after-white-space;" class=3D"">PS: =
interestingly, it happens both on My MacBook Pro (10.13) and my Macbook =
Air (10.15)=E2=80=A6 My configure is:<div class=3D""><br =
class=3D""></div><div class=3D""><div class=3D""><font face=3D"Monaco" =
class=3D"">./autogen.sh</font></div><div class=3D""><font face=3D"Monaco" =
class=3D"">./configure --without-x --with-ns --with-modules =
\</font></div><div class=3D""><font face=3D"Monaco" =
class=3D"">&nbsp;--with-xpm --with-jpeg \</font></div><div =
class=3D""><font face=3D"Monaco" class=3D"">&nbsp;--enable-silent-rules =
\</font></div><div class=3D""><font face=3D"Monaco" =
class=3D"">&nbsp;PKG_CONFIG_PATH=3D/usr/local/lib/pkgconfig =
\</font></div><div class=3D""><font face=3D"Monaco" =
class=3D"">&nbsp;LDFLAGS=3D"-L/usr/local/lib" =
CPPFLAGS=3D"-I/usr/local/include" \</font></div><div class=3D""><font =
face=3D"Monaco" class=3D"">&nbsp;CC=3Dclang OBJC=3Dclang CFLAGS=3D"-g =
-O2=E2=80=9D</font></div><div class=3D""><br class=3D""></div><div =
class=3D"">=46rom a clean git clone. I use macholib to create the =
standalone.</div><div class=3D""><br class=3D""></div><div =
class=3D"">Best, /PA</div><div class=3D""><br class=3D""></div><div =
class=3D""><br class=3D""><div><blockquote type=3D"cite" class=3D""><div =
class=3D"">El 22 feb 2021, a las 12:39, PEDRO ANDRES ARANDA GUTIERREZ =
&lt;<a href=3D"mailto:paranda@HIDDEN" =
class=3D"">paranda@HIDDEN</a>&gt; escribi=C3=B3:</div><br =
class=3D"Apple-interchange-newline"><div class=3D""><div dir=3D"ltr" =
class=3D"">Yes, it works! Both programmatically&nbsp;with<br =
class=3D""><div class=3D""><font face=3D"monospace" class=3D"">(setq =
default-frame-alist '((width . 120) (height . 33)))<br =
class=3D""></font></div><div class=3D"">and&nbsp; "fooling around" with =
the mouse ;-)</div><div class=3D""><br class=3D""></div><div =
class=3D"">/PA</div></div><br class=3D""><div class=3D"gmail_quote"><div =
dir=3D"ltr" class=3D"gmail_attr">El lun, 22 feb 2021 a las 12:33, Alan =
Third (&lt;<a href=3D"mailto:alan@HIDDEN" =
class=3D"">alan@HIDDEN</a>&gt;) escribi=C3=B3:<br =
class=3D""></div><blockquote class=3D"gmail_quote" style=3D"margin:0px =
0px 0px 0.8ex;border-left:1px solid =
rgb(204,204,204);padding-left:1ex">On Mon, Feb 22, 2021 at 12:19:14PM =
+0100, PEDRO ANDRES ARANDA GUTIERREZ wrote:<br class=3D"">
&gt; My stupid=E2=80=A6 I meant the toolbar and have been able to track =
it down<br class=3D"">
&gt; on trying to disabling it<br class=3D"">
&gt; <br class=3D"">
&gt; Attaching a compressed log from a forced exit after emacs -Q and<br =
class=3D"">
&gt; hide toolbar from menu<br class=3D"">
<br class=3D"">
It looks like it's in the call to redisplay in viewWillDraw.<br =
class=3D"">
<br class=3D"">
Does resizing work OK? Like, grabbing the corner of the window and<br =
class=3D"">
waving it about for a few seconds?<br class=3D"">
-- <br class=3D"">
Alan Third<br class=3D"">
</blockquote></div><br clear=3D"all" class=3D""><div class=3D""><br =
class=3D""></div>-- <br class=3D""><div dir=3D"ltr" =
class=3D"gmail_signature"><div dir=3D"ltr" class=3D""><div =
class=3D"">---</div><div class=3D"">PEDRO ANDRES ARANDA GUTIERREZ<br =
class=3D"">Universidad Carlos III de Madrid</div><div class=3D""><br =
class=3D""></div><div class=3D"">"Fragen sind nicht da um beantwortet zu =
werden.</div><div class=3D"">Fragen sind da, um gestellt zu werden" =
Georg Kreisler</div></div></div>
</div></blockquote></div><br class=3D""><div class=3D"">
<div style=3D"word-wrap: break-word; -webkit-nbsp-mode: space; =
line-break: after-white-space;" class=3D""><div style=3D"color: rgb(0, =
0, 0); font-family: Helvetica; font-size: 13px; font-style: normal; =
font-variant-caps: normal; font-weight: normal; letter-spacing: normal; =
text-align: start; text-indent: 0px; text-transform: none; white-space: =
normal; word-spacing: 0px; -webkit-text-stroke-width: 0px;">=E2=80=94<br =
class=3D"">PEDRO ANDRES ARANDA GUTIERREZ<br class=3D""><a =
href=3D"mailto:paranda@HIDDEN" class=3D"">paranda@HIDDEN</a><br =
class=3D"">Universidad Carlos III Madrid</div><div style=3D"color: =
rgb(0, 0, 0); font-family: Helvetica; font-size: 13px; font-style: =
normal; font-variant-caps: normal; font-weight: normal; letter-spacing: =
normal; text-align: start; text-indent: 0px; text-transform: none; =
white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: =
0px;"><br class=3D"">Fragen sind nicht da um beantwortet =
zu&nbsp;werden=E2=80=A6<br class=3D"">Fragen sind da, um gestellt zu =
werden.<br class=3D"">Georg Kreisler</div></div>
</div>
<br class=3D""></div></div></body></html>=

--Apple-Mail=_63B63C79-8304-47F4-A8A7-A69779A867EC--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46687; Package emacs. Full text available.

Message received at 46687 <at> debbugs.gnu.org:


Received: (at 46687) by debbugs.gnu.org; 22 Feb 2021 12:04:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 22 07:04:04 2021
Received: from localhost ([127.0.0.1]:55972 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lE9wZ-0003L7-Vp
	for submit <at> debbugs.gnu.org; Mon, 22 Feb 2021 07:04:04 -0500
Received: from mail-lj1-f181.google.com ([209.85.208.181]:42872)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <paranda@HIDDEN>) id 1lE9Yh-0002hL-JB
 for 46687 <at> debbugs.gnu.org; Mon, 22 Feb 2021 06:39:24 -0500
Received: by mail-lj1-f181.google.com with SMTP id r11so12336408ljk.9
 for <46687 <at> debbugs.gnu.org>; Mon, 22 Feb 2021 03:39:23 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=it.uc3m.es; s=google;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to;
 bh=3Lnq1+I+ZfDhze+fQ6JNTljLa84/qyoB1I/KX6I7ZrQ=;
 b=Gs7BM3YXtBkP5kq1z4jVKIfW8skF8bCLwp7sSBz1jeFzcxkHaqff0JLSTcC5isa/G4
 SwStZEib6CO343+DZv7FTyPCHg7RBDETcUILzAcQ8qFyCq2i+au6sqXZ5SxNAL2xgIZd
 9qj1ahc1/Be4oWhCjKl+oFuKDoZ+iT1kNHST0YNHhHRrsZmq1e9jqmEByU4MjhCO7ykS
 Tbe1IwCP+w8KCNMca6UHL0SnmYy0Ce+ozs0D2WqyQ53Vh3sEhuPTQGFpXoqM9LhECvAL
 S9jzLhOltUHM5OsS9t/udfSxyEyXfJGXGBSCJ5BgdNcCK3A94/Rywk1V7Sh4fyZsvtlZ
 3CPA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to;
 bh=3Lnq1+I+ZfDhze+fQ6JNTljLa84/qyoB1I/KX6I7ZrQ=;
 b=cLIfmJRkyV3uQnmMgm6yNfEL4/Sn57Tb8FVSaA9T4reWlTUR1RinPDe0eiQf/cvUlh
 y9NZxW6RJTVQif2vp/WyD812nJkkxxCUlKWyQUae60qGGacUq6w9fz6oG9mUVN89njBj
 WqSZ4cs4G5ovYqDXNF9N/XNw1XiWSv9bcAMJppybbA3wd+7ACLlE97Cs6Q9/cIc3i5u7
 GaAYYu6qoBkljy51kwcDNTq7zxjTU7azAihmBiooZgG+cwE3lPHZ5IM9flM42c+GFHCY
 gJpwcZIIdS6p5PnWkckoBDH0uwgWt4+5mtjqsEeGCRh2FtEharvPbu8nrjanOhqPr8om
 7EIQ==
X-Gm-Message-State: AOAM5309OuZuhEE0MsmG4Pytv39//+flkHP+OwB62RsnjRfcJtzaD1sH
 9572UR5QeGhJnRbSfTXr1nc0k3adVZoqnTQnbAytdg==
X-Google-Smtp-Source: ABdhPJwzXBbtT1CaFEJQ8w3HrK7UL8qtoeP/09My0sieFWOb7KIrZUDRuhhnn6Fmxn2HCKtB3etp9XzH0NoEtRkopKI=
X-Received: by 2002:a2e:998c:: with SMTP id w12mr5101603lji.371.1613993957200; 
 Mon, 22 Feb 2021 03:39:17 -0800 (PST)
MIME-Version: 1.0
References: <AECFFDD3-F38D-45B9-9E94-FD6B56EF3203@HIDDEN>
 <YDOMuG2IHuiJ34vz@HIDDEN>
 <7B2D8739-1C6C-40BF-A568-A60728C38489@HIDDEN>
 <YDOWehngi7RLjFEz@HIDDEN>
In-Reply-To: <YDOWehngi7RLjFEz@HIDDEN>
From: PEDRO ANDRES ARANDA GUTIERREZ <paranda@HIDDEN>
Date: Mon, 22 Feb 2021 12:39:06 +0100
Message-ID: <CAPoMwp2ibvDkvuCYNaE1TxZQ-korTudAqMsTs-=BGvfXf2AqRg@HIDDEN>
Subject: Re: bug#46687: 28.0.50; Emacs freezes when disabling toolbar
To: Alan Third <alan@HIDDEN>,
 PEDRO ANDRES ARANDA GUTIERREZ <paranda@HIDDEN>, 46687 <at> debbugs.gnu.org
Content-Type: multipart/alternative; boundary="0000000000007d55d405bbeb4038"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 46687
X-Mailman-Approved-At: Mon, 22 Feb 2021 07:03:59 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--0000000000007d55d405bbeb4038
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Yes, it works! Both programmatically with
(setq default-frame-alist '((width . 120) (height . 33)))
and  "fooling around" with the mouse ;-)

/PA

El lun, 22 feb 2021 a las 12:33, Alan Third (<alan@HIDDEN>) escribi=C3=
=B3:

> On Mon, Feb 22, 2021 at 12:19:14PM +0100, PEDRO ANDRES ARANDA GUTIERREZ
> wrote:
> > My stupid=E2=80=A6 I meant the toolbar and have been able to track it d=
own
> > on trying to disabling it
> >
> > Attaching a compressed log from a forced exit after emacs -Q and
> > hide toolbar from menu
>
> It looks like it's in the call to redisplay in viewWillDraw.
>
> Does resizing work OK? Like, grabbing the corner of the window and
> waving it about for a few seconds?
> --
> Alan Third
>


--=20
---
PEDRO ANDRES ARANDA GUTIERREZ
Universidad Carlos III de Madrid

"Fragen sind nicht da um beantwortet zu werden.
Fragen sind da, um gestellt zu werden" Georg Kreisler

--0000000000007d55d405bbeb4038
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">Yes, it works! Both programmatically=C2=A0with<br><div><fo=
nt face=3D"monospace">(setq default-frame-alist &#39;((width . 120) (height=
 . 33)))<br></font></div><div>and=C2=A0 &quot;fooling around&quot; with the=
 mouse ;-)</div><div><br></div><div>/PA</div></div><br><div class=3D"gmail_=
quote"><div dir=3D"ltr" class=3D"gmail_attr">El lun, 22 feb 2021 a las 12:3=
3, Alan Third (&lt;<a href=3D"mailto:alan@HIDDEN">alan@HIDDEN</a>&g=
t;) escribi=C3=B3:<br></div><blockquote class=3D"gmail_quote" style=3D"marg=
in:0px 0px 0px 0.8ex;border-left:1px solid rgb(204,204,204);padding-left:1e=
x">On Mon, Feb 22, 2021 at 12:19:14PM +0100, PEDRO ANDRES ARANDA GUTIERREZ =
wrote:<br>
&gt; My stupid=E2=80=A6 I meant the toolbar and have been able to track it =
down<br>
&gt; on trying to disabling it<br>
&gt; <br>
&gt; Attaching a compressed log from a forced exit after emacs -Q and<br>
&gt; hide toolbar from menu<br>
<br>
It looks like it&#39;s in the call to redisplay in viewWillDraw.<br>
<br>
Does resizing work OK? Like, grabbing the corner of the window and<br>
waving it about for a few seconds?<br>
-- <br>
Alan Third<br>
</blockquote></div><br clear=3D"all"><div><br></div>-- <br><div dir=3D"ltr"=
 class=3D"gmail_signature"><div dir=3D"ltr"><div>---</div><div>PEDRO ANDRES=
 ARANDA GUTIERREZ<br>Universidad Carlos III de Madrid</div><div><br></div><=
div>&quot;Fragen sind nicht da um beantwortet zu werden.</div><div>Fragen s=
ind da, um gestellt zu werden&quot; Georg Kreisler</div></div></div>

--0000000000007d55d405bbeb4038--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46687; Package emacs. Full text available.

Message received at 46687 <at> debbugs.gnu.org:


Received: (at 46687) by debbugs.gnu.org; 22 Feb 2021 12:04:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 22 07:04:04 2021
Received: from localhost ([127.0.0.1]:55970 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lE9wW-0003Kk-AX
	for submit <at> debbugs.gnu.org; Mon, 22 Feb 2021 07:04:03 -0500
Received: from mail-wr1-f47.google.com ([209.85.221.47]:33524)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <paranda@HIDDEN>) id 1lE9FN-0008OU-Im
 for 46687 <at> debbugs.gnu.org; Mon, 22 Feb 2021 06:19:29 -0500
Received: by mail-wr1-f47.google.com with SMTP id 7so18667843wrz.0
 for <46687 <at> debbugs.gnu.org>; Mon, 22 Feb 2021 03:19:25 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=it.uc3m.es; s=google;
 h=from:message-id:mime-version:subject:date:in-reply-to:cc:to
 :references; bh=JYrOa/uWFWlUu9N5PM6IcdQJJU0Bqk4mo4dOlPw7JdE=;
 b=OQwKU50CxYX7Bfn7JDZk5fRWusBqWtX3NuSdXu4+v08o1VE21623nd3oID6hOFPIuA
 0kZWHWJ56XaGFlhKMHo4Pee7q021mnKSBWvG1ve9aGg+jhcb27Zt9FAjrUJWP68IcJBT
 PY++MHuV7M07RgcazFGiU15ZvG/+MqkexxWftpKlkSBVWSdxVSKnqfpdJmeY2aRChcuQ
 Gb1k1tv8yAsxN5nBNqZCPCUQ2OxaXH9MBbKRnTxzvdjq2tN9xs7AHnQk7LnUxPzeGiCw
 H5rrfr3HhQH6nYjae1U7hr8PTu+cPTNRRqdMKXqr4g/CfOrHSCemozZkYzTTgO79ec4a
 mLQg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:message-id:mime-version:subject:date
 :in-reply-to:cc:to:references;
 bh=JYrOa/uWFWlUu9N5PM6IcdQJJU0Bqk4mo4dOlPw7JdE=;
 b=hNIgn+efKtTukN56GZVzsQK2O8Ye+XfbKunyyD6u/msttMrC6P4dXAMjtQdiJ4nQna
 d4yfGggrB8ZoI7JBNBt9sqPh9Vigi5U7ICB/6t4i82nqoUQ9p4feUQ9/9vq2+pJLMyVu
 2mY4ayDaA/YtfM6Pra1DPKN1NuGLnVzdcIpVxgWeY1jK+2tSktgqSsYPpD3RXppCSAqY
 +dDapFfTw3Emv1PKl+b1IAcAqdxrwVWCwLHURodO4LaFKFMK1uHQmEV9YfooptqwSYdx
 iF3QNE7hiS4qFJQJwgQu9gRZXqSfplOOrzD0jxNrGdRlHI+QyG7c9o/1/yjntGNShtMX
 O8Mg==
X-Gm-Message-State: AOAM533aEjdVQXFTE9NiE2/47WarxC8Ips5S84yAjK/Uvv2JlQwC+WGY
 1Xpk/9vYUVxECHD7SlGRqsTsjA==
X-Google-Smtp-Source: ABdhPJwCLUm62dPYu7GLk8Nwot2CY4Zy9e4IQaehQ3NE6ra4qH2OLkKYgPyTxITLxFqywmlakG9QQQ==
X-Received: by 2002:a05:6000:236:: with SMTP id
 l22mr21506246wrz.349.1613992757792; 
 Mon, 22 Feb 2021 03:19:17 -0800 (PST)
Received: from [192.168.1.36] (4.red-81-40-17.staticip.rima-tde.net.
 [81.40.17.4])
 by smtp.gmail.com with ESMTPSA id z11sm8695798wrm.72.2021.02.22.03.19.14
 (version=TLS1_2 cipher=ECDHE-ECDSA-AES128-GCM-SHA256 bits=128/128);
 Mon, 22 Feb 2021 03:19:15 -0800 (PST)
From: PEDRO ANDRES ARANDA GUTIERREZ <paranda@HIDDEN>
Message-Id: <7B2D8739-1C6C-40BF-A568-A60728C38489@HIDDEN>
Content-Type: multipart/alternative;
 boundary="Apple-Mail=_D3484D26-AFBE-4FB0-ADF0-8AE5B52AD345"
Mime-Version: 1.0 (Mac OS X Mail 11.5 \(3445.9.7\))
Subject: Re: bug#46687: 28.0.50; Emacs freezes when disabling toolbar
Date: Mon, 22 Feb 2021 12:19:14 +0100
In-Reply-To: <YDOMuG2IHuiJ34vz@HIDDEN>
To: Alan Third <alan@HIDDEN>
References: <AECFFDD3-F38D-45B9-9E94-FD6B56EF3203@HIDDEN>
 <YDOMuG2IHuiJ34vz@HIDDEN>
X-Mailer: Apple Mail (2.3445.9.7)
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 46687
X-Mailman-Approved-At: Mon, 22 Feb 2021 07:03:59 -0500
Cc: 46687 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--Apple-Mail=_D3484D26-AFBE-4FB0-ADF0-8AE5B52AD345
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain;
	charset=utf-8

My stupid=E2=80=A6 I meant the toolbar and have been able to track it =
down on trying to disabling it=20

Attaching a compressed log from a forced exit after emacs -Q and hide =
toolbar from menu

Best,/PA



> El 22 feb 2021, a las 11:51, Alan Third <alan@HIDDEN> escribi=C3=B3:=

>=20
> On Sun, Feb 21, 2021 at 09:00:51AM +0100, PEDRO ANDRES ARANDA =
GUTIERREZ wrote:
>>=20
>> Trying to disable the toolbar from the menu or with M-x toolbar-mode
>> results in freeze
>=20
> Is it the toolbar or the menu bar? Your message on emacs devel said
> menu bar.
>=20
> Either way, I can't replicate this.
>=20
> Does resizing the frame work OK?
>=20
>> In GNU Emacs 28.0.50 (build 1, x86_64-apple-darwin17.7.0, NS =
appkit-1561.61 Version 10.13.6 (Build 17G14042))
>> of 2021-02-21 built on paag.local
>> Repository revision: e6842038c9c48131503804b139872bd565a245d9
>> Repository branch: master
>> Windowing system distributor 'Apple', version 10.3.1561
>> System Description:  Mac OS X 10.13.6
>=20
> Is there anyone out there running on macOS 10.13 who can try
> replicating this bug? I'm on 10.14 and it's fine.
> --=20
> Alan Third

=E2=80=94
PEDRO ANDRES ARANDA GUTIERREZ
paranda@HIDDEN
Universidad Carlos III Madrid

Fragen sind nicht da um beantwortet zu werden=E2=80=A6
Fragen sind da, um gestellt zu werden.
Georg Kreisler


--Apple-Mail=_D3484D26-AFBE-4FB0-ADF0-8AE5B52AD345
Content-Type: multipart/mixed;
	boundary="Apple-Mail=_618B2053-89F2-45E2-982A-B09EE3DAA92E"


--Apple-Mail=_618B2053-89F2-45E2-982A-B09EE3DAA92E
Content-Transfer-Encoding: quoted-printable
Content-Type: text/html;
	charset=utf-8

<html><head><meta http-equiv=3D"Content-Type" content=3D"text/html; =
charset=3Dutf-8"></head><body style=3D"word-wrap: break-word; =
-webkit-nbsp-mode: space; line-break: after-white-space;" class=3D"">My =
stupid=E2=80=A6 I meant the toolbar and have been able to track it down =
on trying to disabling it&nbsp;<div class=3D""><br class=3D""><div =
class=3D""><div class=3D"">Attaching a compressed log from a forced exit =
after emacs -Q and hide toolbar from menu</div><div class=3D""><br =
class=3D""></div><div class=3D"">Best,/PA</div><div class=3D""><br =
class=3D""></div><div class=3D""></div></div></div></body></html>=

--Apple-Mail=_618B2053-89F2-45E2-982A-B09EE3DAA92E
Content-Disposition: attachment;
	filename=trace.txt.gz
Content-Type: application/x-gzip;
	x-unix-mode=0644;
	name="trace.txt.gz"
Content-Transfer-Encoding: base64
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=
--Apple-Mail=_618B2053-89F2-45E2-982A-B09EE3DAA92E
Content-Transfer-Encoding: quoted-printable
Content-Type: text/html;
	charset=utf-8

<html><head><meta http-equiv=3D"Content-Type" content=3D"text/html; =
charset=3Dutf-8"></head><body style=3D"word-wrap: break-word; =
-webkit-nbsp-mode: space; line-break: after-white-space;" class=3D""><div =
class=3D""><div class=3D""><div class=3D""></div><div class=3D""><div><br =
class=3D""><blockquote type=3D"cite" class=3D""><div class=3D"">El 22 =
feb 2021, a las 11:51, Alan Third &lt;<a href=3D"mailto:alan@HIDDEN" =
class=3D"">alan@HIDDEN</a>&gt; escribi=C3=B3:</div><br =
class=3D"Apple-interchange-newline"><div class=3D""><div class=3D"">On =
Sun, Feb 21, 2021 at 09:00:51AM +0100, PEDRO ANDRES ARANDA GUTIERREZ =
wrote:<br class=3D""><blockquote type=3D"cite" class=3D""><br =
class=3D"">Trying to disable the toolbar from the menu or with M-x =
toolbar-mode<br class=3D"">results in freeze<br =
class=3D""></blockquote><br class=3D"">Is it the toolbar or the menu =
bar? Your message on emacs devel said<br class=3D"">menu bar.<br =
class=3D""><br class=3D"">Either way, I can't replicate this.<br =
class=3D""><br class=3D"">Does resizing the frame work OK?<br =
class=3D""><br class=3D""><blockquote type=3D"cite" class=3D"">In GNU =
Emacs 28.0.50 (build 1, x86_64-apple-darwin17.7.0, NS appkit-1561.61 =
Version 10.13.6 (Build 17G14042))<br class=3D""> of 2021-02-21 built on =
paag.local<br class=3D"">Repository revision: =
e6842038c9c48131503804b139872bd565a245d9<br class=3D"">Repository =
branch: master<br class=3D"">Windowing system distributor 'Apple', =
version 10.3.1561<br class=3D"">System Description: &nbsp;Mac OS X =
10.13.6<br class=3D""></blockquote><br class=3D"">Is there anyone out =
there running on macOS 10.13 who can try<br class=3D"">replicating this =
bug? I'm on 10.14 and it's fine.<br class=3D"">-- <br class=3D"">Alan =
Third<br class=3D""></div></div></blockquote></div><br class=3D""><div =
class=3D"">
<div style=3D"word-wrap: break-word; -webkit-nbsp-mode: space; =
line-break: after-white-space;" class=3D""><div style=3D"color: rgb(0, =
0, 0); font-family: Helvetica; font-size: 13px; font-style: normal; =
font-variant-caps: normal; font-weight: normal; letter-spacing: normal; =
text-align: start; text-indent: 0px; text-transform: none; white-space: =
normal; word-spacing: 0px; -webkit-text-stroke-width: 0px;">=E2=80=94<br =
class=3D"">PEDRO ANDRES ARANDA GUTIERREZ<br class=3D""><a =
href=3D"mailto:paranda@HIDDEN" class=3D"">paranda@HIDDEN</a><br =
class=3D"">Universidad Carlos III Madrid</div><div style=3D"color: =
rgb(0, 0, 0); font-family: Helvetica; font-size: 13px; font-style: =
normal; font-variant-caps: normal; font-weight: normal; letter-spacing: =
normal; text-align: start; text-indent: 0px; text-transform: none; =
white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: =
0px;"><br class=3D"">Fragen sind nicht da um beantwortet =
zu&nbsp;werden=E2=80=A6<br class=3D"">Fragen sind da, um gestellt zu =
werden.<br class=3D"">Georg Kreisler</div></div>
</div>
<br class=3D""></div></div></div></body></html>=

--Apple-Mail=_618B2053-89F2-45E2-982A-B09EE3DAA92E--

--Apple-Mail=_D3484D26-AFBE-4FB0-ADF0-8AE5B52AD345--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46687; Package emacs. Full text available.

Message received at 46687 <at> debbugs.gnu.org:


Received: (at 46687) by debbugs.gnu.org; 22 Feb 2021 11:33:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 22 06:33:27 2021
Received: from localhost ([127.0.0.1]:55849 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lE9Sx-0002YT-I2
	for submit <at> debbugs.gnu.org; Mon, 22 Feb 2021 06:33:27 -0500
Received: from outbound.soverin.net ([116.202.65.218]:40325)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <alan@HIDDEN>) id 1lE9St-0002YF-Si
 for 46687 <at> debbugs.gnu.org; Mon, 22 Feb 2021 06:33:26 -0500
Received: from smtp.soverin.net (unknown [10.10.3.28])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits))
 (No client certificate requested)
 by outbound.soverin.net (Postfix) with ESMTPS id 9C27760236;
 Mon, 22 Feb 2021 11:33:17 +0000 (UTC)
Received: from smtp.soverin.net (smtp.soverin.net [159.69.232.142]) by
 soverin.net
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=idiocy.org; s=soverin;
 t=1613993597; bh=VhL6kYMmtBrjAJl6bid9mZdKmVlfgUdKCfHlXmsbysc=;
 h=Date:From:To:Cc:Subject:References:In-Reply-To:From;
 b=RDKkAoan2CPGIrc+Q6miExBy8PpDLFkjef/00v6vTnhuWS8jMi3pmWzDRk3lMxwUg
 6QQD5ZTgkPPCeaqiucbdfSd40JfZTJAoQPMs5dXDHPYFYF8z6Ro89EtgnsR1359kpl
 xnYf3v0tNUNu6e35MlwAP9JnDOOhsvcxmmWev27BR0LRQIafQzzQGAhpPRZD8NXHDi
 50blhg0t5KS1PpjYQ4s6dnm2nIlfc55n6yGrqZSo5f46SqN2ft7HGUpcEtFpRpIA6h
 v8OL03zLnuxEDb3u9uCYmIFvCBiCoNsXI1tApjnfubr6NI9fOG62w32wxlwHnzPLrV
 uIWjpem0GYQmw==
Received: by breton.holly.idiocy.org (Postfix, from userid 501)
 id D4297202AA0CDA; Mon, 22 Feb 2021 11:33:14 +0000 (GMT)
Date: Mon, 22 Feb 2021 11:33:14 +0000
From: Alan Third <alan@HIDDEN>
To: PEDRO ANDRES ARANDA GUTIERREZ <paranda@HIDDEN>
Subject: Re: bug#46687: 28.0.50; Emacs freezes when disabling toolbar
Message-ID: <YDOWehngi7RLjFEz@HIDDEN>
Mail-Followup-To: Alan Third <alan@HIDDEN>,
 PEDRO ANDRES ARANDA GUTIERREZ <paranda@HIDDEN>,
 46687 <at> debbugs.gnu.org
References: <AECFFDD3-F38D-45B9-9E94-FD6B56EF3203@HIDDEN>
 <YDOMuG2IHuiJ34vz@HIDDEN>
 <7B2D8739-1C6C-40BF-A568-A60728C38489@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <7B2D8739-1C6C-40BF-A568-A60728C38489@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 46687
Cc: 46687 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Mon, Feb 22, 2021 at 12:19:14PM +0100, PEDRO ANDRES ARANDA GUTIERREZ wrote:
> My stupid… I meant the toolbar and have been able to track it down
> on trying to disabling it
> 
> Attaching a compressed log from a forced exit after emacs -Q and
> hide toolbar from menu

It looks like it's in the call to redisplay in viewWillDraw.

Does resizing work OK? Like, grabbing the corner of the window and
waving it about for a few seconds?
-- 
Alan Third




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46687; Package emacs. Full text available.

Message received at 46687 <at> debbugs.gnu.org:


Received: (at 46687) by debbugs.gnu.org; 22 Feb 2021 10:51:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 22 05:51:50 2021
Received: from localhost ([127.0.0.1]:55775 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lE8og-0007hQ-1Y
	for submit <at> debbugs.gnu.org; Mon, 22 Feb 2021 05:51:50 -0500
Received: from outbound.soverin.net ([116.202.65.218]:46411)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <alan@HIDDEN>) id 1lE8od-0007hB-3C
 for 46687 <at> debbugs.gnu.org; Mon, 22 Feb 2021 05:51:47 -0500
Received: from smtp.soverin.net (unknown [10.10.3.24])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits))
 (No client certificate requested)
 by outbound.soverin.net (Postfix) with ESMTPS id 9FADD60236;
 Mon, 22 Feb 2021 10:51:40 +0000 (UTC)
Received: from smtp.soverin.net (smtp.soverin.net [159.69.232.138]) by
 soverin.net
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=idiocy.org; s=soverin;
 t=1613991100; bh=Id4+J5vlPsa9L0Jv2z2pJvDD0Xqwg4eBB7b4/fJ2BEk=;
 h=Date:From:To:Cc:Subject:References:In-Reply-To:From;
 b=XfLc3ccHm2tdrJLo/XA31WEDfHjRmHUqqPsmpdUeBkiBrx35I2nGyHQiMy1Zk/cGR
 Y7bHGcF2UQUX8r34EIEuNTVigqrDIKCNKTsMHFQxWdwPSeUXb0qZicNRClKhLkiiyn
 oNHE9R2Vzs47CwNr6Nqs56FZmRrUt+jA5MZf0m0+W1LjDn6QruJh7TmvGJkJiJLA1x
 c1e5KtxAZOoLkdn3tl6DsKK73ooNU2NEJGza8iWim1sEvUKCfcgXmgC4kx6XNT5p2B
 LVXioj6X1L+/Pn8ecx+gZMNT8nNH7XkBn5mo7FEeE43Gf5QLr/UR/8T8lFfOdczP17
 yqbYLD60/Wjbw==
Received: by breton.holly.idiocy.org (Postfix, from userid 501)
 id BDA14202AA086D; Mon, 22 Feb 2021 10:51:36 +0000 (GMT)
Date: Mon, 22 Feb 2021 10:51:36 +0000
From: Alan Third <alan@HIDDEN>
To: PEDRO ANDRES ARANDA GUTIERREZ <paranda@HIDDEN>
Subject: Re: bug#46687: 28.0.50; Emacs freezes when disabling toolbar
Message-ID: <YDOMuG2IHuiJ34vz@HIDDEN>
Mail-Followup-To: Alan Third <alan@HIDDEN>,
 PEDRO ANDRES ARANDA GUTIERREZ <paranda@HIDDEN>,
 46687 <at> debbugs.gnu.org
References: <AECFFDD3-F38D-45B9-9E94-FD6B56EF3203@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <AECFFDD3-F38D-45B9-9E94-FD6B56EF3203@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 46687
Cc: 46687 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Sun, Feb 21, 2021 at 09:00:51AM +0100, PEDRO ANDRES ARANDA GUTIERREZ wrote:
> 
> Trying to disable the toolbar from the menu or with M-x toolbar-mode
> results in freeze

Is it the toolbar or the menu bar? Your message on emacs devel said
menu bar.

Either way, I can't replicate this.

Does resizing the frame work OK?

> In GNU Emacs 28.0.50 (build 1, x86_64-apple-darwin17.7.0, NS appkit-1561.61 Version 10.13.6 (Build 17G14042))
>  of 2021-02-21 built on paag.local
> Repository revision: e6842038c9c48131503804b139872bd565a245d9
> Repository branch: master
> Windowing system distributor 'Apple', version 10.3.1561
> System Description:  Mac OS X 10.13.6

Is there anyone out there running on macOS 10.13 who can try
replicating this bug? I'm on 10.14 and it's fine.
-- 
Alan Third




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#46687; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 21 Feb 2021 13:58:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 21 08:58:05 2021
Received: from localhost ([127.0.0.1]:53709 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lDpFL-0003k1-P3
	for submit <at> debbugs.gnu.org; Sun, 21 Feb 2021 08:58:05 -0500
Received: from lists.gnu.org ([209.51.188.17]:44468)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <paranda@HIDDEN>) id 1lDjfy-0007bE-Ow
 for submit <at> debbugs.gnu.org; Sun, 21 Feb 2021 03:01:12 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:55812)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <paranda@HIDDEN>)
 id 1lDjfy-0000BS-GY
 for bug-gnu-emacs@HIDDEN; Sun, 21 Feb 2021 03:01:10 -0500
Received: from mail-wr1-x429.google.com ([2a00:1450:4864:20::429]:32887)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <paranda@HIDDEN>)
 id 1lDjfp-0007LF-Ii
 for bug-gnu-emacs@HIDDEN; Sun, 21 Feb 2021 03:01:10 -0500
Received: by mail-wr1-x429.google.com with SMTP id 7so15669102wrz.0
 for <bug-gnu-emacs@HIDDEN>; Sun, 21 Feb 2021 00:00:54 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=it.uc3m.es; s=google;
 h=from:mime-version:subject:message-id:date:to;
 bh=YkgbWtcj/oshHQ08KNf7oYobE25o6Md8D7Q6iXBwhnY=;
 b=NdtE682MhD66BcJXzuMj67LIO2vRFu6z7+0AYW/jTmPr7B8PN6H+TOaJ71m+Dtqggx
 0Z7g6ONjVHhJWW3HQNEmB79BLT+bNCoMQNaO+ukm9DWa3unveOZ6+yFYDmvmaRH+jlTN
 1EO4QvM9NfbcjcxVS4I6sg16klrk9SJOE8tI6NkbSb8ibGMT8ZgESA+FBMC0t1DHBJPy
 5UkcMPb+nLlk9wxzPrAAJfZPxw7tYdHMpjm4HEbTHDbBKpqd01u/r1H4lZCryEGCjHTE
 dTNBhHHe9YpFjf5WbmwKjC47tnyJ0Hl7wG2K6qm17ei92tNxAjOjIvGlmEb44SohnkQV
 JszQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:mime-version:subject:message-id:date:to;
 bh=YkgbWtcj/oshHQ08KNf7oYobE25o6Md8D7Q6iXBwhnY=;
 b=iYOPEVLa6mK5BEUq/nQytx7872AlfiivbEYzYSGVc0WptdxABH8p6AOnZLxg7K2van
 agKej/f0jw+isC25KaIygrnW81VyzvQ+0GIpRjohnDWNP8Km3t3X0Qzh55AigedKVd8Q
 NzKb6awWnLMBM1EKaws262or5jnzUSKYcxcsDZvGTwMtyQxSrd+mchIMfTlruEEAV1SE
 y+EiJJghpBXK7Z76R9WBGgERZFWcOHHNGFiCgrT+Aef7/ZAplkOh5LCxkfWIxnSm0kLV
 n7mzP3FjhHYNvCpjy0Zbyn2Ap24JBkIcM6ioIH7SIWb/VkeXCkno6L+6pOPSEjBADPpu
 f7JA==
X-Gm-Message-State: AOAM531uZJZ3dzncH9aMHopbAOiS9+QEgkLbbGcTvVW6QDLOign6G/Uu
 xg8+HTlgJBf0cjcQsgJ/LnMjyANK3Ggy7ajW
X-Google-Smtp-Source: ABdhPJwuQ39badH0o66nMerbD1yHYiK5lMtp/gy5/NoDc1emPA43aYxj6yzUfULOa8Mf0PKsRXwr3g==
X-Received: by 2002:a5d:620d:: with SMTP id y13mr16317934wru.88.1613894452932; 
 Sun, 21 Feb 2021 00:00:52 -0800 (PST)
Received: from [192.168.1.35] (194.red-81-40-18.staticip.rima-tde.net.
 [81.40.18.194])
 by smtp.gmail.com with ESMTPSA id o129sm21501739wme.21.2021.02.21.00.00.52
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_2 cipher=ECDHE-ECDSA-AES128-GCM-SHA256 bits=128/128);
 Sun, 21 Feb 2021 00:00:52 -0800 (PST)
From: PEDRO ANDRES ARANDA GUTIERREZ <paranda@HIDDEN>
Content-Type: multipart/alternative;
 boundary="Apple-Mail=_EA57CCA0-F6B7-4C77-9435-CD727AD80965"
Mime-Version: 1.0 (Mac OS X Mail 11.5 \(3445.9.7\))
Subject: 28.0.50; Emacs freezes when disabling toolbar
Message-Id: <AECFFDD3-F38D-45B9-9E94-FD6B56EF3203@HIDDEN>
Date: Sun, 21 Feb 2021 09:00:51 +0100
To: bug-gnu-emacs@HIDDEN
X-Mailer: Apple Mail (2.3445.9.7)
Received-SPF: pass client-ip=2a00:1450:4864:20::429;
 envelope-from=paranda@HIDDEN; helo=mail-wr1-x429.google.com
X-Spam_score_int: -19
X-Spam_score: -2.0
X-Spam_bar: --
X-Spam_report: (-2.0 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, HTML_MESSAGE=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Sun, 21 Feb 2021 08:58:01 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)


--Apple-Mail=_EA57CCA0-F6B7-4C77-9435-CD727AD80965
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain;
	charset=utf-8


Trying to disable the toolbar from the menu or with M-x toolbar-mode
results in freeze


In GNU Emacs 28.0.50 (build 1, x86_64-apple-darwin17.7.0, NS =
appkit-1561.61 Version 10.13.6 (Build 17G14042))
 of 2021-02-21 built on paag.local
Repository revision: e6842038c9c48131503804b139872bd565a245d9
Repository branch: master
Windowing system distributor 'Apple', version 10.3.1561
System Description:  Mac OS X 10.13.6

Configured using:
 'configure --without-x --with-ns --with-modules --with-xpm --with-jpeg
 --enable-silent-rules PKG_CONFIG_PATH=3D/usr/local/lib/pkgconfig
 LDFLAGS=3D-L/usr/local/lib CPPFLAGS=3D-I/usr/local/include CC=3Dclang
 OBJC=3Dclang 'CFLAGS=3D-g -O2'
 =
LIBXML2_CFLAGS=3D-I/Applications/Xcode.app/Contents/Developer/Platforms/Ma=
cOSX.platform/Developer/SDKs/MacOSX10.14.sdk/usr/include/libxml2
 LIBXML2_LIBS=3D-lxml2'

Configured features:
ACL GMP GNUTLS JPEG JSON LIBXML2 MODULES NOTIFY KQUEUE NS PDUMPER PNG
THREADS TIFF TOOLKIT_SCROLL_BARS XIM ZLIB

Important settings:
  value of $LC_COLLATE: es_ES.UTF-8
  value of $LC_CTYPE: es_ES.UTF-8
  value of $LC_MESSAGES: es_ES.UTF-8
  value of $LC_MONETARY: es_ES.UTF-8
  value of $LC_NUMERIC: es_ES.UTF-8
  value of $LC_TIME: es_ES.UTF-8
  value of $LANG: es_ES.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message rmc puny dired dired-loaddefs
rfc822 mml easymenu mml-sec epa derived epg epg-config gnus-util rmail
rmail-loaddefs auth-source cl-seq eieio eieio-core cl-macs
eieio-loaddefs password-cache json map text-property-search time-date
subr-x seq byte-opt gv bytecomp byte-compile cconv mm-decode mm-bodies
mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader cl-loaddefs
cl-lib sendmail rfc2047 rfc2045 ietf-drums mm-util mail-prsvr mail-utils
iso-transl tooltip eldoc electric uniquify ediff-hook vc-hooks
lisp-float-type mwheel term/ns-win ns-win ucs-normalize mule-util
term/common-win tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode elisp-mode lisp-mode
prog-mode register page tab-bar menu-bar rfn-eshadow isearch timer
select scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame minibuffer cl-generic cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms
cp51932 hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese composite charscript charprop case-table epa-hook
jka-cmpr-hook help simple abbrev obarray cl-preloaded nadvice button
loaddefs faces cus-face macroexp files window text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote threads kqueue cocoa ns multi-tty
make-network-process emacs)

Memory information:
((conses 16 51488 7834)
 (symbols 48 6513 1)
 (strings 32 18169 2415)
 (string-bytes 1 606080)
 (vectors 16 12618)
 (vector-slots 8 177259 7539)
 (floats 8 21 29)
 (intervals 56 220 0)
 (buffers 992 10))
=20
=E2=80=94
PEDRO ANDRES ARANDA GUTIERREZ
paranda@HIDDEN
Universidad Carlos III Madrid

Fragen sind nicht da um beantwortet zu werden=E2=80=A6
Fragen sind da, um gestellt zu werden.
Georg Kreisler


--Apple-Mail=_EA57CCA0-F6B7-4C77-9435-CD727AD80965
Content-Transfer-Encoding: quoted-printable
Content-Type: text/html;
	charset=utf-8

<html><head><meta http-equiv=3D"Content-Type" content=3D"text/html; =
charset=3Dutf-8"></head><body style=3D"word-wrap: break-word; =
-webkit-nbsp-mode: space; line-break: after-white-space;" class=3D""><div =
class=3D""><br class=3D""></div><div class=3D"">Trying to disable the =
toolbar from the menu or with M-x toolbar-mode</div><div =
class=3D"">results in freeze</div><div class=3D""><br =
class=3D""></div><div class=3D""><br class=3D""></div><div class=3D"">In =
GNU Emacs 28.0.50 (build 1, x86_64-apple-darwin17.7.0, NS appkit-1561.61 =
Version 10.13.6 (Build 17G14042))</div><div class=3D"">&nbsp;of =
2021-02-21 built on paag.local</div><div class=3D"">Repository revision: =
e6842038c9c48131503804b139872bd565a245d9</div><div class=3D"">Repository =
branch: master</div><div class=3D"">Windowing system distributor =
'Apple', version 10.3.1561</div><div class=3D"">System Description: =
&nbsp;Mac OS X 10.13.6</div><div class=3D""><br class=3D""></div><div =
class=3D"">Configured using:</div><div class=3D"">&nbsp;'configure =
--without-x --with-ns --with-modules --with-xpm --with-jpeg</div><div =
class=3D"">&nbsp;--enable-silent-rules =
PKG_CONFIG_PATH=3D/usr/local/lib/pkgconfig</div><div =
class=3D"">&nbsp;LDFLAGS=3D-L/usr/local/lib =
CPPFLAGS=3D-I/usr/local/include CC=3Dclang</div><div =
class=3D"">&nbsp;OBJC=3Dclang 'CFLAGS=3D-g -O2'</div><div =
class=3D"">&nbsp;LIBXML2_CFLAGS=3D-I/Applications/Xcode.app/Contents/Devel=
oper/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.14.sdk/usr/include/=
libxml2</div><div class=3D"">&nbsp;LIBXML2_LIBS=3D-lxml2'</div><div =
class=3D""><br class=3D""></div><div class=3D"">Configured =
features:</div><div class=3D"">ACL GMP GNUTLS JPEG JSON LIBXML2 MODULES =
NOTIFY KQUEUE NS PDUMPER PNG</div><div class=3D"">THREADS TIFF =
TOOLKIT_SCROLL_BARS XIM ZLIB</div><div class=3D""><br =
class=3D""></div><div class=3D"">Important settings:</div><div =
class=3D"">&nbsp; value of $LC_COLLATE: es_ES.UTF-8</div><div =
class=3D"">&nbsp; value of $LC_CTYPE: es_ES.UTF-8</div><div =
class=3D"">&nbsp; value of $LC_MESSAGES: es_ES.UTF-8</div><div =
class=3D"">&nbsp; value of $LC_MONETARY: es_ES.UTF-8</div><div =
class=3D"">&nbsp; value of $LC_NUMERIC: es_ES.UTF-8</div><div =
class=3D"">&nbsp; value of $LC_TIME: es_ES.UTF-8</div><div =
class=3D"">&nbsp; value of $LANG: es_ES.UTF-8</div><div class=3D"">&nbsp; =
locale-coding-system: utf-8-unix</div><div class=3D""><br =
class=3D""></div><div class=3D"">Major mode: Lisp Interaction</div><div =
class=3D""><br class=3D""></div><div class=3D"">Minor modes in =
effect:</div><div class=3D"">&nbsp; tooltip-mode: t</div><div =
class=3D"">&nbsp; global-eldoc-mode: t</div><div class=3D"">&nbsp; =
eldoc-mode: t</div><div class=3D"">&nbsp; electric-indent-mode: =
t</div><div class=3D"">&nbsp; mouse-wheel-mode: t</div><div =
class=3D"">&nbsp; tool-bar-mode: t</div><div class=3D"">&nbsp; =
menu-bar-mode: t</div><div class=3D"">&nbsp; file-name-shadow-mode: =
t</div><div class=3D"">&nbsp; global-font-lock-mode: t</div><div =
class=3D"">&nbsp; font-lock-mode: t</div><div class=3D"">&nbsp; =
blink-cursor-mode: t</div><div class=3D"">&nbsp; auto-composition-mode: =
t</div><div class=3D"">&nbsp; auto-encryption-mode: t</div><div =
class=3D"">&nbsp; auto-compression-mode: t</div><div class=3D"">&nbsp; =
line-number-mode: t</div><div class=3D"">&nbsp; transient-mark-mode: =
t</div><div class=3D""><br class=3D""></div><div class=3D"">Load-path =
shadows:</div><div class=3D"">None found.</div><div class=3D""><br =
class=3D""></div><div class=3D"">Features:</div><div class=3D"">(shadow =
sort mail-extr emacsbug message rmc puny dired dired-loaddefs</div><div =
class=3D"">rfc822 mml easymenu mml-sec epa derived epg epg-config =
gnus-util rmail</div><div class=3D"">rmail-loaddefs auth-source cl-seq =
eieio eieio-core cl-macs</div><div class=3D"">eieio-loaddefs =
password-cache json map text-property-search time-date</div><div =
class=3D"">subr-x seq byte-opt gv bytecomp byte-compile cconv mm-decode =
mm-bodies</div><div class=3D"">mm-encode mail-parse rfc2231 mailabbrev =
gmm-utils mailheader cl-loaddefs</div><div class=3D"">cl-lib sendmail =
rfc2047 rfc2045 ietf-drums mm-util mail-prsvr mail-utils</div><div =
class=3D"">iso-transl tooltip eldoc electric uniquify ediff-hook =
vc-hooks</div><div class=3D"">lisp-float-type mwheel term/ns-win ns-win =
ucs-normalize mule-util</div><div class=3D"">term/common-win tool-bar =
dnd fontset image regexp-opt fringe</div><div class=3D"">tabulated-list =
replace newcomment text-mode elisp-mode lisp-mode</div><div =
class=3D"">prog-mode register page tab-bar menu-bar rfn-eshadow isearch =
timer</div><div class=3D"">select scroll-bar mouse jit-lock font-lock =
syntax facemenu font-core</div><div class=3D"">term/tty-colors frame =
minibuffer cl-generic cham georgian utf-8-lang</div><div =
class=3D"">misc-lang vietnamese tibetan thai tai-viet lao korean =
japanese eucjp-ms</div><div class=3D"">cp51932 hebrew greek romanian =
slovak czech european ethiopic indian</div><div class=3D"">cyrillic =
chinese composite charscript charprop case-table epa-hook</div><div =
class=3D"">jka-cmpr-hook help simple abbrev obarray cl-preloaded nadvice =
button</div><div class=3D"">loaddefs faces cus-face macroexp files =
window text-properties overlay</div><div class=3D"">sha1 md5 base64 =
format env code-pages mule custom widget</div><div =
class=3D"">hashtable-print-readable backquote threads kqueue cocoa ns =
multi-tty</div><div class=3D"">make-network-process emacs)</div><div =
class=3D""><br class=3D""></div><div class=3D"">Memory =
information:</div><div class=3D"">((conses 16 51488 7834)</div><div =
class=3D"">&nbsp;(symbols 48 6513 1)</div><div class=3D"">&nbsp;(strings =
32 18169 2415)</div><div class=3D"">&nbsp;(string-bytes 1 =
606080)</div><div class=3D"">&nbsp;(vectors 16 12618)</div><div =
class=3D"">&nbsp;(vector-slots 8 177259 7539)</div><div =
class=3D"">&nbsp;(floats 8 21 29)</div><div class=3D"">&nbsp;(intervals =
56 220 0)</div><div class=3D"">&nbsp;(buffers 992 10))</div><div =
class=3D"">&nbsp;</div><div class=3D"">
<div style=3D"word-wrap: break-word; -webkit-nbsp-mode: space; =
line-break: after-white-space;" class=3D""><div style=3D"color: rgb(0, =
0, 0); font-family: Helvetica; font-size: 13px; font-style: normal; =
font-variant-caps: normal; font-weight: normal; letter-spacing: normal; =
text-align: start; text-indent: 0px; text-transform: none; white-space: =
normal; word-spacing: 0px; -webkit-text-stroke-width: 0px;">=E2=80=94<br =
class=3D"">PEDRO ANDRES ARANDA GUTIERREZ<br class=3D""><a =
href=3D"mailto:paranda@HIDDEN" class=3D"">paranda@HIDDEN</a><br =
class=3D"">Universidad Carlos III Madrid</div><div style=3D"color: =
rgb(0, 0, 0); font-family: Helvetica; font-size: 13px; font-style: =
normal; font-variant-caps: normal; font-weight: normal; letter-spacing: =
normal; text-align: start; text-indent: 0px; text-transform: none; =
white-space: normal; word-spacing: 0px; -webkit-text-stroke-width: =
0px;"><br class=3D"">Fragen sind nicht da um beantwortet =
zu&nbsp;werden=E2=80=A6<br class=3D"">Fragen sind da, um gestellt zu =
werden.<br class=3D"">Georg Kreisler</div></div>
</div>
<br class=3D""></body></html>=

--Apple-Mail=_EA57CCA0-F6B7-4C77-9435-CD727AD80965--




Acknowledgement sent to PEDRO ANDRES ARANDA GUTIERREZ <paranda@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#46687; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 26 Feb 2021 09:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.